## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate virtio-queue

Name:           rust-virtio-queue
Version:        0.11.0
Release:        %autorelease
Summary:        Virtio queue implementation

License:        Apache-2.0 OR BSD-3-Clause
URL:            https://crates.io/crates/virtio-queue
Source0:        %{crates_source}
Source1:        https://raw.githubusercontent.com/rust-vmm/vm-virtio/main/LICENSE-APACHE
Source2:        https://raw.githubusercontent.com/rust-vmm/vm-virtio/main/LICENSE-BSD-3-Clause
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          virtio-queue-fix-metadata.diff

ExcludeArch:    i686

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Virtio queue implementation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD-3-Clause
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test-utils-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test-utils-devel %{_description}

This package contains library source intended for building other packages which
use the "test-utils" feature of the "%{crate}" crate.

%files       -n %{name}+test-utils-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp %{SOURCE1} .
cp %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -f test-utils
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 08 2024 Sergio Lopez <slp@redhat.com> - 0.11.0-1
- Update to version 0.11.0; Fixes RHBZ#2246407

* Thu Dec 21 2023 Sergio Lopez <slp@redhat.com> - 0.10.0-1
- Update to version 0.10.0; Fixes RHBZ#2246407

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Sergio Lopez <slp@redhat.com> - 0.9.0-1
- Update to version 0.9.0

* Tue Apr 04 2023 Sergio Lopez <slp@redhat.com> - 0.7.1-1
- Update to version 0.7.1
- Update to version 0.7.1
- Drop virtio-queue-fix-endianess-issues-in-mock-queue.diff patch

* Wed Feb 08 2023 Sergio Lopez <slp@redhat.com> - 0.7.0-2
- Add virtio-queue-fix-endianess-issues-in-mock-queue.diff patch
- Add virtio-queue-fix-endianess-issues-in-mock-queue.diff patch

* Wed Feb 08 2023 Sergio Lopez <slp@redhat.com> - 0.7.0-1
- Update to version 0.7.0
- Update to version 0.7.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-2
- drop unused criterion dev-dependency and regenerate with rust2rpm 23

* Tue Jul 26 2022 Sergio Lopez <slp@redhat.com> - 0.4.0-1
- Update to crate version 0.4.0
- Update to crate version 0.4.0
- Switch to rust-packaging 21
- Drop patch for s390x, as fix has been merged upstream

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Sergio Lopez <slp@redhat.com> - 0.3.0-1
- Update to crate version 0.3.0
- Update to crate version 0.3.0
- Enable all rust_arches except i686 (32 bits targets are not supported)
- Add a patch fixing a new test broken on s390x

* Thu Mar 10 2022 Sergio Lopez <slp@redhat.com> - 0.2.0-1
- Update to crate version 0.2.0

* Tue Mar 01 2022 Sergio Lopez <slp@redhat.com> - 0.1.0-2
- Add a patch fixing unit tests on s390x

* Tue Mar 01 2022 Sergio Lopez <slp@redhat.com> - 0.1.0-1
- Initial import (fedora#2055323).
## END: Generated by rpmautospec
